Summary: 	Basic KDE 4 Configuration
Name: 		kde4-config-legacy
Version: 	4.13
Release: 	%mkrel 2
License: 	GPL
Group:		Graphical desktop/KDE4
Source0:	%{name}-%{version}.tar.xz
URL: 		http://pclinuxos.com
Requires:	kde-smooth-tasks-fork plasma-applet-devicemanager
Requires:	wallpaper-theme-pclinuxos
Conflicts:	kde4-config
Conflicts:	kde4-config-fm
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:      noarch


%description
This package provides legacy settings for KDE >= 4.13

%pre
# backup custom files in root-account to be restored later
# this and the restore is only needed because of the old kde4-config(-legacy)
# and this can be removed some time in the future, once everyone has 
# upgraded to version 4.8.3-4 and above

if [ -f %{_sysconfdir}/fullmonty-release ]; then
  echo "kde4-config-legacy can not be installed on FullMonty"
  exit 1
fi

rm -fr rm -fR /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34
mkdir -p /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34
cp -fR /root/.kde4/. /root/.kde4bkx34/
cp -fR /root/.local/. /root/.localbkx34/
cp -fR /root/Desktop/. /root/Desktopbkx34/


%prep

%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/.kde4 $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/.local $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/Desktop $RPM_BUILD_ROOT/etc/skel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/skel

%posttrans
# a) remove default browser/email FF/TB if not present in system
if [ ! -e /usr/bin/firefox ]; then 
  sed -i 's/BrowserApplication\[\$e\]=\!firefox/BrowserApplication\[\$d\]/g' /etc/skel/.kde4/share/config/kdeglobals
fi
if [ ! -e /usr/bin/thunderbird ]; then
  sed -i '/EmailClient\[\$e\]=thunderbird/d' /etc/skel/.kde4/share/config/emaildefaults
fi
 
# b) clean up tmp for user and root
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
rm -rf /tmp/kde* /tmp/ksocket* /root/tmp/kde-root /root/tmp/ksocket*
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/tmp/kde*; done
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/tmp/ksocket*; done
# reset su alias in existing accounts and skel
for idx in $SYSUSERS
 do INP1= sed -i '/^alias su=/d' /home/$idx/.bashrc; done
sed -i '/^alias su=/d' /etc/skel/.bashrc

# temporary: to be removed in the future see pre above
# restore custom backup files in root-account 
mkdir -p /root/.kde4 /root/.local /root/.Desktop
cp -fR /root/.kde4bkx34/. /root/.kde4/
cp -fR /root/.localbkx34/. /root/.local/
cp -fR /root/Desktopbkx34/. /root/Desktop/
rm -fR /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34

# f) fix desktop display in root-account
if [ -e /root/.kde4/share/config/plasma-desktop-appletsrc ]; then 
sed -i 's|url=desktop\:\/|url=file\:\/\/\/root\/Desktop|g' /root/.kde4/share/config/plasma-desktop-appletsrc
fi

%changelog
* Tue Aug 12 2014 pinoc <vogtpet at gmail.com> 4.13-2pclos2014
- updated knotifyrc

* Mon Jul 28 2014 pinoc <vogtpet at gmail.com> 4.13-1pclos2014
- updated to properly display update info window
- updated Requires

* Thu Mar 14 2013 pinoc <vogtpet at gmail.com> 4.10-1pclos2013
- 4.10

* Mon Jan 28 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5
- updated to also work on non-kde installs
- fixed posttrans

* Thu Sep 06 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-5pclos2012
- process

* Mon Sep 03 2012 pinoc < vogtpet at gmail dot com> 4.8.3-5pclos2012
- set to install on regualar KDE but not on FullMonty-DVD installation
- added to show the date in clock on panel

* Fri Aug 24 2012 pinoc < vogtpet at gmail dot com> 4.8.3-4pclos2012
- root and existing user-accounts no longer affected
- reset old su-alias also for those not starting with 2012.08 

* Tue Aug 21 2012 pinoc < vogtpet at gmail dot com> 4.8.3-3pclos2012
- new settings for 2012.08: dolphin, konsole, Activities, rc-files

* Mon Aug 06 2012 pinoc < vogtpet at gmail dot com> 4.8.3-2pclos2012
- new default wallpaper
- added conflict with default/fm-package
- fixed recent docs in kwrite

* Fri Jul 20 2012 pinoc < vogtpet at gmail dot com> 4.8.3-1pclos2012
- initial build
